Переполнение буфера в user-ppp

Дата публикации:
06.03.2008
Дата изменения:
07.03.2008
Всего просмотров:
2004
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
user-ppp
Уязвимые версии: user-ppp

Описание:
Уязвимость позволяет локальному пользователю повысить свои привилегии на системе.

Уязвимость существует из-за ошибки проверки границ данных в функции "command_Expand_Interpret()" в файле command.c. Локальный пользователь может с помощью строки, содержащей определенные символы (например, '~') вызвать переполнение стека и повысить свои привилегии на системе. Для успешной эксплуатации уязвимости атакующий должен иметь привилегии группы "network".

URL производителя: www.awfulhak.org/ppp.html

Решение: Способов устранения уязвимости не существует в настоящее время.

Журнал изменений:

07.03.2008
Добавлен PoC код.

Ссылки: user-ppp Local Denial of Service PoC

или введите имя

CAPTCHA